summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/pywayland/pywayland-0.4.15.ebuild15
1 files changed, 10 insertions, 5 deletions
diff --git a/dev-python/pywayland/pywayland-0.4.15.ebuild b/dev-python/pywayland/pywayland-0.4.15.ebuild
index 22d1f8d9f0dd..13737fa80279 100644
--- a/dev-python/pywayland/pywayland-0.4.15.ebuild
+++ b/dev-python/pywayland/pywayland-0.4.15.ebuild
@@ -5,7 +5,7 @@ EAPI=8
DISTUTILS_EXT=1
DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..11} pypy3 )
+PYTHON_COMPAT=( python3_{10..11} pypy3 )
inherit distutils-r1 xdg-utils
@@ -26,12 +26,17 @@ KEYWORDS="amd64 ~riscv ~x86"
RDEPEND="
dev-libs/wayland
- virtual/python-cffi[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/cffi[${PYTHON_USEDEP}]
+ ' 'python*')
"
-DEPEND="${RDEPEND}
+DEPEND="
+ ${RDEPEND}
dev-libs/wayland-protocols
"
-BDEPEND="dev-util/wayland-scanner"
+BDEPEND="
+ dev-util/wayland-scanner
+"
distutils_enable_tests pytest
@@ -43,7 +48,7 @@ python_prepare_all() {
python_test() {
# No die deliberately as sometimes it doesn't exist
- rm -r pywayland
+ rm -rf pywayland || die
epytest
}